- Qt 6.9
- Qt GRPC
- C++ Classes
- QAbstractGrpcChannel
- Qt 6.9.2 Reference Documentation

# QAbstractGrpcChannel Class

The QAbstractGrpcChannel class provides an interface for implementing the transport layer of gRPC™ operations. More...

Header: | `#include <QAbstractGrpcChannel>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Grpc)` `target_link_libraries(mytarget PRIVATE Qt6::Grpc)`
Since: | Qt 6.5
Inherited By: | QGrpcHttp2Channel

- List of all members, including inherited members

## Public Functions

virtual | ~QAbstractGrpcChannel()
const QGrpcChannelOptions & | channelOptions() const &
virtual std::shared_ptr<QAbstractProtobufSerializer> | serializer() const = 0
`(since 6.8)` void | setChannelOptions(QGrpcChannelOptions &&options)
`(since 6.8)` void | setChannelOptions(const QGrpcChannelOptions &options)

## Protected Functions

| QAbstractGrpcChannel()
| QAbstractGrpcChannel(const QGrpcChannelOptions &options)

## Detailed Description

Implement this interface to create a custom channel for gRPC™ transportation. The QGrpcHttp2Channel class is provided as a fully featured implementation of QAbstractGrpcChannel for HTTP/2 communication.

See also QGrpcChannelOptions and QGrpcHttp2Channel.

## Member Function Documentation

### `[since 6.8]` void QAbstractGrpcChannel::setChannelOptions(QGrpcChannelOptions &&options)

### `[since 6.8]` void QAbstractGrpcChannel::setChannelOptions(const QGrpcChannelOptions &options)

Sets the channel options.

Note: The updated channel options do not affect currently active calls or streams. The revised options will apply only to new RPCs made through this channel.

This function was introduced in Qt 6.8.

See also channelOptions.

### `[protected]` QAbstractGrpcChannel::QAbstractGrpcChannel()

Default-constructs the QAbstractGrpcChannel.

### `[explicit protected]` QAbstractGrpcChannel::QAbstractGrpcChannel(const QGrpcChannelOptions &options)

Constructs the QAbstractGrpcChannel using the specified options.

### `[virtual noexcept]` QAbstractGrpcChannel::~QAbstractGrpcChannel()

Destroys the QAbstractGrpcChannel.

### `[noexcept]` const QGrpcChannelOptions &QAbstractGrpcChannel::channelOptions() const &

Returns the options utilized by the channel.

See also setChannelOptions.

### `[pure virtual]` std::shared_ptr<QAbstractProtobufSerializer> QAbstractGrpcChannel::serializer() const

This pure virtual function retrieves the QAbstractProtobufSerializer used for the serialization and deserialization of messages.